Bug 1623866 - dnf module provides not having consistent output
Summary: dnf module provides not having consistent output
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 28
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-30 10:56 UTC by Karel Srot
Modified: 2018-11-22 17:41 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-22 17:41:58 UTC


Attachments (Terms of Use)

Description Karel Srot 2018-08-30 10:56:07 UTC
Description of problem:

compare the order of listed attributes between dnf-2 and dnf-3

# dnf-3 module provides TestH
Last metadata expiration check: 0:00:17 ago on Thu Aug 30 10:52:12 2018.
TestH-0:1-1.modB.noarch
Module   : ModuleB:f26:1
Profiles : default
Repo     : modularityABDE
Summary  : Module ModuleB summary

TestH-0:2-1.modB.noarch
Module   : ModuleB:f27:1
Profiles : default
Repo     : modularityABDE
Summary  : Module ModuleB summary

# dnf-2 module provides TestH
Last metadata expiration check: 0:00:14 ago on Thu Aug 30 10:52:12 2018.
TestH-0:1-1.modB.noarch
Repo     : modularityABDE
Profiles : default
Module   : ModuleB:f26:1
Summary  : Module ModuleB summary

TestH-0:2-1.modB.noarch
Repo     : modularityABDE
Profiles : default
Module   : ModuleB:f27:1
Summary  : Module ModuleB summary


# rpm -q dnf
dnf-3.4.0-0.43gb7279ccc.fc28.noarch

Comment 1 Jaroslav Mracek 2018-09-19 07:23:51 UTC
The problem should be fixed in https://github.com/rpm-software-management/dnf/pull/1214.


Note You need to log in before you can comment on or make changes to this bug.